Package Gnumed :: Package wxpython :: Module gmMedicationWidgets :: Class cSubstanceIntakeEAPnl |
[frames] | no frames]

# Class cSubstanceIntakeEAPnl

source code

                                                 wx.ScrolledWindow --+
                                                                     |
    wxGladeWidgets.wxgCurrentMedicationEAPnl.wxgCurrentMedicationEAPnl --+
                                                                         |
                                                            object --+   |
                                                                     |   |
                                      gmEditArea.cGenericEditAreaMixin --+
                                                                         |
                                                                        cSubstanceIntakeEAPnl

Instance Methods
__init__(self, *args, **kwargs) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
turn_into_allergy(self, data=None) | source code
Inherited from `gmEditArea.cGenericEditAreaMixin`: `display_ctrl_as_valid`, `display_tctrl_as_valid`, `refresh`, `save`, `show_msg` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `gmEditArea.cGenericEditAreaMixin`: `data`, `mode`, `status_message` Inherited from `object`: `__class__`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)